Bug 49078 - log4j-1.2.16-javadoc.jar was missing NOTICE and LICENSE and contained .svn entries
log4j-1.2.16-javadoc.jar was missing NOTICE and LICENSE and contained .svn en...
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.2
PC All
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-04-09 03:37 UTC by Curt Arnold
Modified: 2010-06-20 00:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Curt Arnold 2010-04-09 03:37:05 UTC
The log4j-1.2.16-javadoc.jar produced during the release build omitted the NOTICE and LICENSE files from the META-INF while it included .svn directories for doc-files directories.  The build process should be modified (which could involve pushing the issue into Maven) to fix the issue.
Comment 1 Curt Arnold 2010-06-20 00:07:53 UTC
On Apr 9, 2010, at 9:07 AM, Brett Porter wrote:

I found http://jira.codehaus.org/browse/MJAVADOC-232 and http://jira.codehaus.org/browse/MJAVADOC-173. I'm not sure what version of the plugin you are using - but does one of them cover it?

----

Both of those but are marked closed for over a year, but upgrade the pom.xml to use version 2.7 did not avoid the embedded .svn directories.  Adding a <excludedocfilessubdir>.svn</excludedocfilessubdir> did eliminate the embedded .svn directories.

To add the NOTICE and LICENSE to the META-INF directory, I used a snippet from the parent POM from commons and added it to log4j, extras, component, receivers and chainsaw.